<?php

namespace TablesRouter;

class GruppeItem {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function multiaddURL($column_item = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_item'] = $column_item;
		return self::multiaddURL2($params);
	
    
  }

  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function lifecycleEndURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::lifecycleEndURL2($params);
	
    
  }

  public static function createURL($params = [] , $column_item = null , $column_list = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_item'] = $column_item;$params['column_list'] = $column_list;
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function noteEditURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::noteEditURL2($params);
	
    
  }

  public static function multiaddListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::multiaddListFop_listURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function lifecycleEndListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::lifecycleEndListFop_listURL2($params);
	
    
  }

  public static function listitemUniqueURL($context, $value, $id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['context'] = $context;$params['value'] = $value;$params['id'] = $id;
		return self::listitemUniqueURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PBURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PBURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PBURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PBURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXSURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXSURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXSURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXSURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL2($params);
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL2($params);
	
    
  }

  public static function multiaddURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/multiadd';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'multiadd') ) {
		try {
			$result = \Tables\GruppeItem::multiaddAction(isset($_GET['column_item']) ? $_GET['column_item'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\GruppeItem::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\GruppeItem::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'lifecycleEnd') ) {
		try {
			$result = \Tables\GruppeItem::lifecycleEndAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')  ) {
		try {
			$result = \Tables\GruppeItem::createAction(isset($_GET['column_item']) ? $_GET['column_item'] : null, isset($_GET['column_list']) ? $_GET['column_list'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\GruppeItem::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'noteEdit') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::noteEditAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PB') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PBAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PB') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PBAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXS') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXS') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6As') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6As') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PB') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PBAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PB') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PBAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXS') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXSAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXS') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXSAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6As') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6AsAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6As') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6AsAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'multiaddListFop_list')  ) {
		try {
			$result = \Tables\GruppeItem::multiaddListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'lifecycleEndListFop_list')  ) {
		try {
			$result = \Tables\GruppeItem::lifecycleEndListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'listitemUnique') && isset($_GET['context'])   && isset($_GET['value'])   && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::listitemUniqueAction($_GET['context'], $_GET['value'], $_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeItem::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\GruppeItem::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function lifecycleEndURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/lifecycleEnd';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function noteEditURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/noteEdit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multiaddListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/multiaddListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function lifecycleEndListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/lifecycleEndListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function listitemUniqueURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/listitemUnique';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PB';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PBURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PB';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXS';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXS';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6As';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6As';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PBURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PB';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PBURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PB';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXSURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXS';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXSURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXS';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6As';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6AsURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeItem/fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6As';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multiaddAccess($column_item = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-itemlist-gruppeItem-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE((COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('RJ9cGEjL').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('RJ9cGEjL').' WHERE '.qi('RJ9cGEjL').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('Qi9mKudl').' WHERE '.qi('Qi9mKudl').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).'), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeItem').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-itemlist-gruppeItem-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE((COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('RJ9cGEjL').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('RJ9cGEjL').' WHERE '.qi('RJ9cGEjL').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('Qi9mKudl').' WHERE '.qi('Qi9mKudl').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).'), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeItem').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function lifecycleEndAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && ((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-itemlist-gruppeItem-edit ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE((COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('D1f71D3k').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('D1f71D3k').' WHERE '.qi('D1f71D3k').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('RXSVEgHm').' WHERE '.qi('RXSVEgHm').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).'), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeItem').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: access-itemlist-gruppeItem-view ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE((CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT ((('.qi('gruppeItem').'.'.qi('item').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT ((SELECT ('.qi('M9cJxzyc').'.'.qi('memberVisibility').') FROM '.qi('gruppe').' '.qi('M9cJxzyc').' WHERE '.qi('M9cJxzyc').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1)))) END) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('hX7wRx63').' WHERE '.qi('hX7wRx63').'.'.qi('list').' = '.qi('3Qd01Ooc').'.'.qi('ID').' AND (('.qi('hX7wRx63').'.'.qi('item').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1))) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('yvRIjwTv').' WHERE '.qi('yvRIjwTv').'.'.qi('gruppe').' = '.qi('3Qd01Ooc').'.'.qi('ID').' AND (('.qi('yvRIjwTv').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1))) AND (NOT ('.qi('3Qd01Ooc').'.'.qi('public').'))) END) FROM '.qi('gruppe').' '.qi('3Qd01Ooc').' WHERE '.qi('3Qd01Ooc').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeItem').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess($column_item = null , $column_list = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && ((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-item-gruppe-OrtqOgf3-column_list ---
    
		if ($column_list !== null && $column_list !== null && \FOP\Database::query('SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('gruppe').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_list))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-gruppe-t0aG1aFV-column_list ---
    
		if ($column_list !== null && $column_list !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_list))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-mitglied-select-column_item ---
    
		if ($column_item !== null && $column_item !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_item))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-item-gruppeItem-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('D1f71D3k').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('D1f71D3k').' WHERE '.qi('D1f71D3k').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('RXSVEgHm').' WHERE '.qi('RXSVEgHm').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppeItem').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function noteEditAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && ((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-item-gruppeItem-edit-id ---
    
		if (\FOP\Database::query('SELECT (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('D1f71D3k').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('D1f71D3k').' WHERE '.qi('D1f71D3k').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('RXSVEgHm').' WHERE '.qi('RXSVEgHm').'.'.qi('ID').' = '.qi('gruppeItem').'.'.qi('list').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppeItem').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multiaddListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function lifecycleEndListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function listitemUniqueAccess($context, $value, $id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_ansprechpartner_mitglied_mitglied_a_KRTKa3PBAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_ansprechpartner_mitglied_mitglied_a_KRTKa3PBAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_mitglied_a_0Sju7gXSAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97constr_formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_target_a_PW9rw6AsAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_ansprechpartner_mitglied_a_KRTKa3PBAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_ansprechpartner_mitglied_a_KRTKa3PBAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_mitgliedPassnummer_mitglied_a_0Sju7gXSAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_mitgliedPassnummer_mitglied_a_0Sju7gXSAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_create_matrix_campaignTarget_target_campaign_a_PW9rw6AsAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch5275ae77df8d1e8296df20df7e4e11c3ef5356bdc5fd01b933e870a8cf1a800a_93_ebnf_Expression6_117_ebnf_anchorsymbol_118_97formarray_wf_mitglied_edit_matrix_campaignTarget_target_campaign_a_PW9rw6AsAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



